MonochromeRectangleDetector (ZXing 3.5.0 API)

com.google.zxing.common.detector

## Class MonochromeRectangleDetector

- java.lang.Object
- - com.google.zxing.common.detector.MonochromeRectangleDetector

- Deprecated.
  without replacement since 3.3.0

      @Deprecated
      public final class MonochromeRectangleDetector
      extends Object

  A somewhat generic detector that looks for a barcode-like rectangular region within an image. It looks within a mostly white region of an image for a region of black and white, but mostly black. It returns the four corners of the region, as best it can determine.

  Author:
    Sean Owen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MonochromeRectangleDetector(BitMatrix image)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResultPoint[]` | `detect()` Deprecated. Detects a rectangular region of black and white -- mostly black -- with a region of mostly white, in an image.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MonochromeRectangleDetector

          public MonochromeRectangleDetector(BitMatrix image)

      Deprecated.

  - ### Method Detail

    - #### detect

          public ResultPoint[] detect()
                               throws NotFoundException

      Deprecated.

      Detects a rectangular region of black and white -- mostly black -- with a region of mostly white, in an image.

      Returns:
        `ResultPoint`[] describing the corners of the rectangular region. The first and last points are opposed on the diagonal, as are the second and third. The first point will be the topmost point and the last, the bottommost. The second point will be leftmost and the third, the rightmost
      Throws:
        `NotFoundException` - if no Data Matrix Code can be found

Copyright © 2007–2022. All rights reserved.